Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519975 - rhel-x86_64-server-7-cf-me-4.* channel maps are absent from channel-cert-mapping.txt [NEEDINFO]
Summary: rhel-x86_64-server-7-cf-me-4.* channel maps are absent from channel-cert-mapp...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 20:22 UTC by John Sefler
Modified: 2019-01-01 03:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
csnyder: needinfo? (lkocman)


Attachments (Terms of Use)

Description John Sefler 2017-12-01 20:22:44 UTC
Description of problem:


RHN Classic channel 'rhel-x86_64-server-7-cf-me-4.0' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-cf-me-4.1' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-cf-me-4.2' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-cf-me-4.5' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>


RHN Classic channel 'rhel-x86_64-server-7-cf-me-4.0-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-cf-me-4.1-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-cf-me-4.2-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-cf-me-4.5-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel7 ~]# grep "rhel-x86_64-server-7-cf-me-4" /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
[root@jsefler-rhel7 ~]# 

Actual results:
above - no hits

Expected results:
 expected to find product cert mappings for channels:
   rhel-x86_64-server-7-cf-me-4.0
   rhel-x86_64-server-7-cf-me-4.1
   rhel-x86_64-server-7-cf-me-4.2
   rhel-x86_64-server-7-cf-me-4.5
   rhel-x86_64-server-7-cf-me-4.0-debuginfo
   rhel-x86_64-server-7-cf-me-4.1-debuginfo
   rhel-x86_64-server-7-cf-me-4.2-debuginfo
   rhel-x86_64-server-7-cf-me-4.5-debuginfo


Additional info:
  Before subscription-manager-migration-data can be fixed, an update to upstream http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json is required.

Comment 2 John Sefler 2017-12-01 20:30:40 UTC
Version-Release number of selected component (if applicable):

[root@jsefler-rhel7 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.37-1.el7.noarch

Comment 3 Chris Snyder 2017-12-04 15:48:42 UTC
Please see comment 0 about product-certs.json.


Lubos,

Are you the right resource to work with on getting this file updated?

Thanks,
Chris


Note You need to log in before you can comment on or make changes to this bug.